<template>
  <div class="list">
    <div class="title">
      <span>{{project.name}}</span>
      <button class="add-task-btn" @click="showAddModal">Добавить</button>
    </div>
    <ul>
      <task v-for="task in project.tasks" :task="task" :key="task.id" @remove="removeTask"></task>
    </ul>
    <add-task-modal v-if="showModal" @close="showModal = false" @onSubmit="addTask"></add-task-modal>
  </div>
</template>

<script>
  import Task from './Task';
  import AddTaskModal from './AddTaskModal';

  export default {
    components: { Task, AddTaskModal },
    props: ['project'],
    data() {
      return {
        showModal: false,
      };
    },
    methods: {
      addTask(task) {
        this.project.tasks.push(task);
        this.showModal = false;
      },
      showAddModal() {
        this.showModal = true;
      },
      removeTask(taskId) {
        this.project.tasks = this.project.tasks.filter(task => task.id !== taskId);
      },
    },
  };
</script>
